package com.xbongbong.api.demo;

import com.alibaba.fastjson.JSONArray;
import com.xbongbong.api.demo.customer.CustomerApi;
import com.xbongbong.api.demo.helper.XbbException;

public class Demo {
	
	public static void main(String[] args) {
		try {
			//在开始调试前，先初始化 com.xbongbong.api.demo.helper.ConfigConstant 中的corpid 和 token。
			//corpid为本公司 管理员账号登录销帮帮WEB版后台后，访问https://dingtalk.xbongbong.com/apiSetting/detail.html查看
			//token为本公司访问接口的密钥，请妥善保管，不要泄露，可以下列url中重置token, 
			//管理员账号登录销帮帮WEB版后台后，访问https://dingtalk.xbongbong.com/apiSetting/detail.html查看和重置
			
			
			
			//然后调用以下方法，注意中文字要用utf-u进行编码，否则会导致乱码或者签名sign不一致
			 JSONArray customerList = CustomerApi.simpleList(  1, 15);
			 System.out.println(customerList.toJSONString());
			
			//其他说明：签名规则，将访问接口所需的参数集data + token字符串拼接后进行SHA256运算得到最后的签名,然后将签名参数sign(参数名为sign)放入http header中; 将访问接口所需的参数集data(参数名为data)放入http body.
			//目前接口只能VIP用户及试用期用户调用，同一个公司，读接口所有接口合计一分钟1000次，如果是写接口单个接口3秒钟1次。
			 
		} catch (XbbException e) {
			e.printStackTrace();
		}
	}
}
